#include "functions.h"

const complex<double> xmin = 2.;
const complex<double> xmax = 16.;
const int npoints = 1000.;
const int num_of_factor_points = (int)(real(xmax) - real(xmin));
complex<double> x[npoints];
int factor_points[num_of_factor_points];

int main()
{
  for(int ipoint = 0; ipoint < npoints; ipoint++)
    x[ipoint] = xmin + (xmax - xmin) * 1.0 / (double)npoints * ((double)ipoint + 0.5);

  for(int ipoint = 0; ipoint < num_of_factor_points; ipoint++)
    factor_points[ipoint] = (int) real(xmin) + ipoint;

  TCanvas* c1 = new TCanvas("c1", "Canvas", 10, 10, 700, 500);
  c1->SetLogy();
  TGraph *gr_fact = new TGraph();
  TGraph *gr_gamma = new TGraph();

  for(int ipoint = 0; ipoint < npoints; ipoint++)
  { 
    gr_gamma->AddPoint(real(x[ipoint]), real(Gamma(x[ipoint] + 1.)) ); 
  }

  for(int ipoint = 0; ipoint < num_of_factor_points; ipoint++)
  { 
    gr_fact->AddPoint((double) factor_points[ipoint], (double)(factorial(factor_points[ipoint])) ); 
  }
  gr_gamma->SetLineColor(882);
//  gr_gamma->SetMarkerColor(882);
  gr_gamma->SetLineWidth(2);
//  gr_fact->SetLineColor(419);
  gr_fact->SetMarkerColor(419);
  gr_fact->SetMarkerStyle(20);
  gr_fact->SetMarkerSize(1.0);
//  gr_fact->SetLineWidth(2);
  gr_gamma->SetTitle("Logarithm of Gamma function;x;#Gamma(x)");
  gr_gamma->Draw("al");
  gr_fact->Draw("p same");
  c1->Print("gamma_test.png");
  c1->Clear();
  
  delete c1;
  delete gr_gamma;
  delete gr_fact;

  return 0;
}




