#include <my_includes.h>
using namespace std;

const char* infilename = "/home/aletta/work/levy_graphs.root";
const char* figname1 = "gauss_lorenz.png";
const char* figname2 = "gauss.png";
const double pi = 3.14159265358979323846; 
int main() 
{
  TFile* infile = new TFile(infilename, "read");
  TCanvas* c1 = new TCanvas("c1", "Canvas", 10, 10, 1500, 500);
  TGraph* gr = (TGraph*)infile->Get(Form("gr%d",1)); 
  TGraph* gr2 = (TGraph*)infile->Get(Form("gr%d",5)); 
  TLegend* leg = new TLegend(0.7, 0.7, 0.9, 0.9);
  int gr_size = gr->GetMaxSize();
  double rmin = gr->GetPointX(0);
  double rmax = gr->GetPointX(gr_size - 1);
  TF1* func_gauss = new TF1("func_gauss", "((pow(2*pi, 0.5))/(pow(2*pi, 2)))*exp(-x*x/2)", rmin, rmax);
  TF1* func_lorenz = new TF1("func_lorentz", "(1/(pi*pi))*(8/((16*pow(x,4))+(8*pow(x,2))+1))", rmin, rmax);
  TGraph* gr_diff_gauss = new TGraph();
  TGraph* gr_diff_lorenz = new TGraph();
  TMultiGraph* mg = new TMultiGraph();

  double rred;
  double F_gauss;
  double F_lorenz;
  double gauss;
  double lorenz;
  for(int ipoint = 0; ipoint < gr_size; ipoint++)
  { 
    rred = gr->GetPointX(ipoint);
    F_gauss = gr->GetPointY(ipoint);
    F_lorenz = gr2->GetPointY(ipoint);
    gauss = func_gauss->Eval(rred);
    lorenz = func_lorenz->Eval(rred);
    gr_diff_gauss->AddPoint(rred, fabs(F_gauss-gauss)/gauss);
    gr_diff_lorenz->AddPoint(rred, fabs(F_lorenz-lorenz)/lorenz);
  }
  gr_diff_gauss->SetLineColor(882);
  gr_diff_gauss->SetMarkerColor(882);
  gr_diff_lorenz->SetLineColor(418);
  gr_diff_lorenz->SetMarkerColor(418);
  gr_diff_gauss->SetLineWidth(2);
  gr_diff_gauss->Draw("");
  gr_diff_lorenz->SetLineWidth(2);
  gr_diff_gauss->SetTitle("Relative errors of the numerical integrations;r;difference");
  c1->Print(figname2);
  c1->Clear();

  leg->AddEntry(gr_diff_gauss, "#alpha = 2", "l");
  leg->AddEntry(gr_diff_lorenz, "#alpha = 1", "l");
  mg->Add(gr_diff_gauss);
  mg->Add(gr_diff_lorenz);
  mg->SetTitle("Relative errors of the numerical integrations;r;difference");
  mg->Draw("a");
  leg->Draw();
  c1->Print(figname1);
  c1->Clear();
  delete infile;
  delete gr;
  delete gr_diff_gauss;
  delete gr_diff_lorenz;
  delete func_gauss;
  delete func_lorenz;
  delete c1;
  return 0;
}
