#include <my_includes.h>
using namespace std;

const char* infilename = "/home/aletta/work/hyperg_graphs.root";
const char* figname = "hyperg_real.png";
const char* figname2 = "hyperg_imag.png";
const int eta_points = 5;
double eta [eta_points] = {0, 0.01, 0.1, 0.5, 1.};
const int my_colors[eta_points] = {419, 629, 877,793, 854};
int main() 
{
  TCanvas* c1 = new TCanvas("c1", "Canvas", 10, 10, 700, 500);
  TGraph* g_real[eta_points]; 
  TMultiGraph *mg_real = new TMultiGraph();
  TFile* infile = new TFile(infilename, "read");
//  c1->SetLogy(1);
  TLegend* leg = new TLegend(0.25, 0.35, 0.1, 0.1);
  for(int ieta = 0; ieta < eta_points; ieta++)
  {
    g_real[ieta] = (TGraph*)infile->Get(Form("gr_real%d", ieta +1));
    g_real[ieta]->SetLineColor(my_colors[ieta]);
    g_real[ieta]->SetMarkerColor(my_colors[ieta]);
    g_real[ieta]->SetLineWidth(2.5);
//    g[ieta]->GetYaxis()->SetRangeUser(0.0001, 1.);
    leg->AddEntry(g_real[ieta], Form("#eta = %g", eta[ieta]) , "l");
    mg_real->Add(g_real[ieta]);
  }
  mg_real->GetYaxis()->SetRangeUser(-2.,2.);
  mg_real->SetTitle("Real part of hypergeometric function; x; F");
  mg_real->Draw("a");
  leg->Draw();
  c1->Print(figname);
  c1->Clear();

//  TCanvas* c1 = new TCanvas("c1", "Canvas", 10, 10, 700, 500);
  TGraph* g_imag[eta_points]; 
  TMultiGraph *mg_imag = new TMultiGraph();
  TLegend* leg2 = new TLegend(0.9, 0.35, 0.75, 0.1);
//  c1->SetLogy(1);
  for(int ieta = 0; ieta < eta_points; ieta++)
  {
    g_imag[ieta] = (TGraph*)infile->Get(Form("gr_imag%d", ieta +1));
    g_imag[ieta]->SetLineColor(my_colors[ieta]);
    g_imag[ieta]->SetMarkerColor(my_colors[ieta]);
    g_imag[ieta]->SetLineWidth(2.5);
//    g[ieta]->GetYaxis()->SetRangeUser(0.0001, 1.);
    leg2->AddEntry(g_imag[ieta], Form("#eta = %g", eta[ieta]) , "l");
    mg_imag->Add(g_imag[ieta]);
  }
  mg_imag->SetTitle("Imaginary part of hypergeometric function; x; F");
  mg_imag->GetYaxis()->SetRangeUser(-2.,2.);
  mg_imag->Draw("a");
  leg2->Draw();
  c1->Print(figname2);
  c1->Clear();

  delete mg_imag;
  delete mg_real;
  delete infile;
  delete c1;
  delete leg;
  delete leg2;
  return 0;
}
