#include <my_includes.h>
using namespace std;

const char* infilename = "/home/aletta/work/levy_graphs.root";
const char* figname = "levy_graphs_test.png";
const int alpha_points = 5;
double alpha [alpha_points] = {2.0, 1.7, 1.5, 1.3, 1.};
const int my_colors[alpha_points] = {419, 629, 877,793, 854};
int main() 
{
  TCanvas* c1 = new TCanvas("c1", "Canvas", 10, 10, 700, 500);
  TGraph* g[alpha_points]; 
  TMultiGraph *mg = new TMultiGraph();
  TFile* infile = new TFile(infilename, "read");
  c1->SetLogy(1);
  TLegend* leg = new TLegend(0.65, 0.65, 0.9, 0.9);
  for(int ialpha = 0; ialpha < alpha_points; ialpha++)
  {
  g[ialpha] = (TGraph*)infile->Get(Form("gr%d", ialpha +1));
  g[ialpha]->SetLineColor(my_colors[ialpha]);
  g[ialpha]->SetMarkerColor(my_colors[ialpha]);
  g[ialpha]->SetLineWidth(2.5);
  g[ialpha]->GetYaxis()->SetRangeUser(0.0001, 1.);
  leg->AddEntry(g[ialpha], Form("#alpha = %g", alpha[ialpha]) , "l");
  mg->Add(g[ialpha]);
  }
  mg->SetTitle("Levy distribution; r; log(F(r))");
  mg->Draw("a");
  leg->Draw();
  c1->Print(figname);
  c1->Clear();
  delete infile;
  delete mg;
  delete c1;
  return 0;
}
