#include <my_includes.h>
using namespace std;

float impact_parameter;
int nparticles;

int main(int argc, char** argv) 
{
  if(argc != 2)
  {
     cout << "Usage: " << argv[0] << "  listfile." << endl;
     return 0;
  }
  ifstream listfile;
  listfile.open(argv[1]);
  string filename;
  int ifile = 0;
  while(listfile >> filename)
  {
    TFile* eposfile = new TFile(filename.c_str(), "read");
    cout << "Opened file " << filename.c_str() << endl;
    TTree* epostree = NULL;
    epostree = (TTree*)eposfile->Get("teposevent");
    if(!epostree)
       cout << "No tree found!" << endl;
    else
    {
      epostree->SetBranchAddress("bim", &impact_parameter);
      epostree->SetBranchAddress("np", &nparticles);
      float* xpos = new float[nparticles];
      epostree->SetBranchAddress("x", xpos);

      int nevents_in_file = epostree->GetEntries(); 
      cout << ifile << "th file; filename: " << filename << ", tree contains " << nevents_in_file << " events." << endl; 
      for(int ievent = 0; ievent < nevents_in_file; ievent++)
      {
        epostree->GetEntry(ievent);
        cout << "  "  << ievent << "th entry, impact parameter = " << impact_parameter << ",  nparticles = " << nparticles << endl;
        if(ievent == 0)
        {  
          for(int iparticle = 0; iparticle < nparticles; iparticle++)
          {
            cout << "    " << iparticle << "th particle, xpos = " << xpos[iparticle] << endl; 
          }
        }
      }
      delete [] xpos;
      cout << "Hi!" << endl;  
      delete epostree;
    }
    delete eposfile;
    ifile++;
  }
  listfile.close();
  return 0;
}
